Package ru.yandex.clickhouse.domain

## Enum ClickHouseFormat

- java.lang.Object
- - java.lang.Enum<ClickHouseFormat>
  - - ru.yandex.clickhouse.domain.ClickHouseFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<ClickHouseFormat>`

    public enum ClickHouseFormat
    extends Enum<ClickHouseFormat>

Input / Output formats supported by ClickHouse

Note that the sole existence of a format in this enumeration does not mean that its use is supported for any operation with this JDBC driver. When in doubt, just omit any specific format and let the driver take care of it.

Author:
  Dmitry Andreev
See Also:
  ClickHouse Reference Documentation

### Enum Constant Summary

Enum Constants
`Arrow`
`ArrowStream`
`Avro`
`AvroConfluent`
`CapnProto`
`CSV`
`CSVWithNames`
`CustomSeparated`
`JSON`
`JSONAsString`
`JSONCompact`
`JSONCompactEachRow`
`JSONCompactEachRowWithNamesAndTypes`
`JSONCompactString`
`JSONCompactStringEachRow`
`JSONCompactStringEachRowWithNamesAndTypes`
`JSONEachRow`
`JSONEachRowWithProgress`
`JSONString`
`JSONStringsEachRow`
`JSONStringsEachRowWithProgress`
`LineAsString`
`Native`
`Null`
`ORC`
`Parquet`
`Pretty`
`PrettyCompact`
`PrettyCompactMonoBlock`
`PrettyNoEscapes`
`PrettySpace`
`Protobuf`
`ProtobufSingle`
`RawBLOB`
`Regexp`
`RowBinary`
`RowBinaryWithNamesAndTypes`
`TabSeparated`
`TabSeparatedRaw`
`TabSeparatedWithNames`
`TabSeparatedWithNamesAndTypes`
`Template`
`TemplateIgnoreSpaces`
`TSKV`
`TSV`
`TSVRaw`
`TSVWithNames`
`TSVWithNamesAndTypes`
`Values`
`Vertical`
`VerticalRaw`
`XML`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `containsFormat​(String statement)`
`boolean` `hasHeader()`
`boolean` `isBinary()`
`boolean` `isRowBased()` Check whether the format is row based(e.g.
`boolean` `isText()`
`boolean` `supportsInput()`
`boolean` `supportsOutput()`
`static ClickHouseFormat` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Arrow

    public static final ClickHouseFormat Arrow

#### ArrowStream

    public static final ClickHouseFormat ArrowStream

#### Avro

    public static final ClickHouseFormat Avro

#### AvroConfluent

    public static final ClickHouseFormat AvroConfluent

#### CapnProto

    public static final ClickHouseFormat CapnProto

#### CSV

    public static final ClickHouseFormat CSV

#### CSVWithNames

    public static final ClickHouseFormat CSVWithNames

#### CustomSeparated

    public static final ClickHouseFormat CustomSeparated

#### JSON

    public static final ClickHouseFormat JSON

#### JSONAsString

    public static final ClickHouseFormat JSONAsString

#### JSONCompact

    public static final ClickHouseFormat JSONCompact

#### JSONCompactEachRow

    public static final ClickHouseFormat JSONCompactEachRow

#### JSONCompactEachRowWithNamesAndTypes

    public static final ClickHouseFormat JSONCompactEachRowWithNamesAndTypes

#### JSONCompactString

    public static final ClickHouseFormat JSONCompactString

#### JSONCompactStringEachRow

    public static final ClickHouseFormat JSONCompactStringEachRow

#### JSONCompactStringEachRowWithNamesAndTypes

    public static final ClickHouseFormat JSONCompactStringEachRowWithNamesAndTypes

#### JSONEachRow

    public static final ClickHouseFormat JSONEachRow

#### JSONEachRowWithProgress

    public static final ClickHouseFormat JSONEachRowWithProgress

#### JSONString

    public static final ClickHouseFormat JSONString

#### JSONStringsEachRow

    public static final ClickHouseFormat JSONStringsEachRow

#### JSONStringsEachRowWithProgress

    public static final ClickHouseFormat JSONStringsEachRowWithProgress

#### LineAsString

    public static final ClickHouseFormat LineAsString

#### Native

    public static final ClickHouseFormat Native

#### Null

    public static final ClickHouseFormat Null

#### ORC

    public static final ClickHouseFormat ORC

#### Parquet

    public static final ClickHouseFormat Parquet

#### Pretty

    public static final ClickHouseFormat Pretty

#### PrettyCompact

    public static final ClickHouseFormat PrettyCompact

#### PrettyCompactMonoBlock

    public static final ClickHouseFormat PrettyCompactMonoBlock

#### PrettyNoEscapes

    public static final ClickHouseFormat PrettyNoEscapes

#### PrettySpace

    public static final ClickHouseFormat PrettySpace

#### Protobuf

    public static final ClickHouseFormat Protobuf

#### ProtobufSingle

    public static final ClickHouseFormat ProtobufSingle

#### RawBLOB

    public static final ClickHouseFormat RawBLOB

#### Regexp

    public static final ClickHouseFormat Regexp

#### RowBinary

    public static final ClickHouseFormat RowBinary

#### RowBinaryWithNamesAndTypes

    public static final ClickHouseFormat RowBinaryWithNamesAndTypes

#### TabSeparated

    public static final ClickHouseFormat TabSeparated

#### TabSeparatedRaw

    public static final ClickHouseFormat TabSeparatedRaw

#### TabSeparatedWithNames

    public static final ClickHouseFormat TabSeparatedWithNames

#### TabSeparatedWithNamesAndTypes

    public static final ClickHouseFormat TabSeparatedWithNamesAndTypes

#### TSV

    public static final ClickHouseFormat TSV

#### TSVRaw

    public static final ClickHouseFormat TSVRaw

#### TSVWithNames

    public static final ClickHouseFormat TSVWithNames

#### TSVWithNamesAndTypes

    public static final ClickHouseFormat TSVWithNamesAndTypes

#### Template

    public static final ClickHouseFormat Template

#### TemplateIgnoreSpaces

    public static final ClickHouseFormat TemplateIgnoreSpaces

#### TSKV

    public static final ClickHouseFormat TSKV

#### Values

    public static final ClickHouseFormat Values

#### Vertical

    public static final ClickHouseFormat Vertical

#### VerticalRaw

    public static final ClickHouseFormat VerticalRaw

#### XML

    public static final ClickHouseFormat XML

### Method Detail

#### values

    public static ClickHouseFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseFormat c : ClickHouseFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseFormat valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### supportsInput

    public boolean supportsInput()

#### supportsOutput

    public boolean supportsOutput()

#### isBinary

    public boolean isBinary()

#### isText

    public boolean isText()

#### hasHeader

    public boolean hasHeader()

#### isRowBased

    public boolean isRowBased()

Check whether the format is row based(e.g. read/write by row), which is a very useful hint on how to process the data.

Returns:
  true if the format is row based; false otherwise(e.g. column, document, or structured-object etc.)

#### containsFormat

    public static boolean containsFormat​(String statement)